> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Project Cost

> Create an associated project cost



## OpenAPI

````yaml /api-reference/openapi.json post /projects/{project_id}/project_cost
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/project_cost:
    post:
      tags:
        - Projects
        - Costs
      summary: Add Project Cost
      description: Create an associated project cost
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCostInput'
      responses:
        '200':
          description: Project cost created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectCost'
components:
  schemas:
    ProjectCostInput:
      type: object
      required:
        - title
        - cost
        - datetime
      properties:
        title:
          type: string
          description: Title of cost
        cost:
          type: number
          format: float
          description: Cost
        datetime:
          type: string
          format: date
          description: Date of the estimate
        label_id:
          type: integer
          description: Related Label
        project_estimate_id:
          type: integer
          description: Related project estimate
        id_project_history:
          type: integer
          description: Related project history
    ProjectCost:
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
        cost:
          type: number
          format: float
        datetime:
          type: string
          format: date
        label_id:
          type: integer
        project_estimate_id:
          type: integer
        id_project_history:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````